Mail archive
alpine-devel

[alpine-devel] [PATCH 14/25] testing/mate-panel: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:20 +0000

---
 testing/mate-panel/APKBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)
diff --git a/testing/mate-panel/APKBUILD b/testing/mate-panel/APKBUILD
index d6d477c..38ffc6f 100644
--- a/testing/mate-panel/APKBUILD
+++ b/testing/mate-panel/APKBUILD
_at_@ -2,17 +2,16 @@
 # Maintainer:
 pkgname=mate-panel
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="The MATE panel is the area on your desktop from which you can run applications"
 url="https://github.com/mate-desktop/mate-panel"
 arch="all"
 license="GPL2"
 depends="mate-common mate-desktop"
 depends_dev=""
-makedepends="$depends_dev librsvg-dev libmateweather-dev autoconf automake libtool
-	intltool glib-dev gtk-doc yelp-tools gobject-introspection-dev libice-dev
-	libsm-dev libcanberra-dev dbus-glib-dev mate-menus-dev dconf-dev libwnck-dev
-	libsoup-dev itstool"
+makedepends="$depends_dev librsvg-dev libmateweather-dev libtool intltool itstool
+	mate-menus-dev dconf-dev libice-dev libsm-dev libcanberra-dev dbus-glib-dev
+	libwnck-dev libsoup-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -30,7 +29,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:20 UTC